aceeditors = [];

function highlight(id, word){
	clearHighlights();
	for(var x = 0; x < id.length; x++) {
		var Search = require("ace/search").Search;

		var editor = ace.edit(id[x]);

		srch = new Search();
		srch.set({needle:word});
		numbers = [];
		numbers = srch.findAll(editor.getSession());


		for(var i = 0; i < numbers.length;i++){
			editor.getSession().addMarker(numbers[i], "highlighted", "text",false);
		}
	}

}

function highlightrows(id, from, to){
	clearHighlights();
	for(var x = 0; x < id.length; x++) {
		var Range = require("ace/range").Range;

		var editor = ace.edit(id[x]);

		editor.getSession().addMarker(new Range(from, 0, to, Number.POSITIVE_INFINITY), "highlighted", "text",false);
	}
}

function clearHighlights(){
	for(var i = 0; i < aceeditors.length; i++){
		var editor = ace.edit(aceeditors[i]);
		markers = editor.getSession().getMarkers(false);

		$.each(markers, function(index, value){
			if(value.clazz == "highlighted") {
				editor.getSession().removeMarker(index);
			}
		});
	}
}

open = false;
function dropdown(){
    if(!open){
        $('#dropdown').show();
        open = true;
    } else {
        $('#dropdown').hide();
        open = false;
    }
}

$(function () {
	$('section.group div.heading').bind('click', function (e) {
		var heading1 = $(this);
		if (heading1.hasClass('open')) {
			heading1.removeClass('open').next().animate({
				height: 0
			}, 200, function () {
				heading1.css({
					height: "auto",
					overflow: "hidden"
				});
			});
			if (heading1.parent().parent().hasClass('content')) {
				heading1.parent().parent().css({
					height: "auto",
					overflow: "show"
				});
			}
		} else {
			var innerHeight = 0;
			heading1.next().children().each(function () {
				innerHeight += this.offsetHeight;
			});
			heading1.addClass('open').next().animate({
				height: innerHeight
			}, 200);
			if (heading1.parent().parent().hasClass('content')) {
				heading1.parent().parent().css({
					height: "auto",
					overflow: "show"
				});
			}
//heading1.parent().siblings().each(function(){
// $(this).find('div.heading1.open').removeClass('open').next().animate({height:0},200)
//});
}
});
});